package com.artfess.yhxt.specialproject.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.yhxt.specialproject.model.BizInspectionRecordsOfSupervision;
import com.artfess.base.manager.BaseManager;
import com.artfess.yhxt.specialproject.vo.BizInspectionRecordsOfSupervisionVo;

/**
 * 监理巡查记录表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author wangping
 * @since 2021-08-16
 */
public interface BizInspectionRecordsOfSupervisionManager extends BaseManager<BizInspectionRecordsOfSupervision> {

    PageList<BizInspectionRecordsOfSupervision> queryBizInspectionRecordsOfSupervision(QueryFilter<BizInspectionRecordsOfSupervision> queryFilter);

    BizInspectionRecordsOfSupervision getBizInspectionRecordsOfSupervisionById(String id);

    void updateFlag(String ids, Integer flag);
    //保存监理巡查记录、附件信息
    void saveVo(BizInspectionRecordsOfSupervisionVo bizInspectionRecordsOfSupervisionVo);
    //修改监理巡查记录、附件信息
    void updateVo(BizInspectionRecordsOfSupervisionVo bizInspectionRecordsOfSupervisionVo);
    //根据查询监理巡查记录、附件信息
    BizInspectionRecordsOfSupervisionVo getVo(String id);
}
